export type Notification = {
  id: string
  message: string
}

export type User = {
  id: number
  username: string
  password: string
  characters: Character[]
}

export type Character = {
  id: number
  userId: number
  user: User
  name: string
  hitpoints: number
  mana: number
  level: number
  experience: number
  role: string
  position_x: number
  position_y: number
  rotation: number
  zoneId: number
  zone: Zone
  chats: Chat[]
}

export type Zone = {
  id: number
  name: string
  width: number
  height: number
  tiles: Record<string, any>
  characters: Character[]
  chats: Chat[]
}

export type Chat = {
  id: number
  characterId: number
  character: Character
  zoneId: number
  zone: Zone
  message: string
  createdAt: Date
}
